Subject: Re: bug#57963: [PATCH 0/1] Support user's fontconfig.

From: Taiju HIGASHI <[email-masked]>
Date: Sun, 25 Sep 2022 07:58:11 +0900

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Taiju HIGASHI <[email-masked]> skribis:
>
>> I'm not very knowledgeable about G-Expressions, so I don't understand
>> much of what you replied. (I will study it!).
>
> I didn’t mention gexps.  :-)

Sorry, that comment of mine was in response to Andrew's comment.

>> Ludovic Courtès <[email-masked]> writes:
>> My motivation for writing this patch is that I wanted to continue to use
>> the settings in the following file after switching to Guix Home.
>>
>> https://git.sr.ht/~taiju/taix/tree/31a37c231ebba60e38f7fa9cfe1c7a5d7362d021/item/dotfiles/fontconfig/.config/fontconfig/fonts.conf
>>
>> Honestly, I don't know why it is so complicated, but I refered it from
>> the following ArchWiki content.
>>
>> https://wiki.archlinux.org/title/Font_configuration/Examples#Japanese
>>
>> Therefore, just being able to set font aliasing is unfortunately not
>> enough to satisfy my use case.
>
> Oh I see.  Do you need every single bit from the ‘fonts.conf’ file
> above?

There may be some settings that are not needed.

> Anyway, it does look like your v2 is the way to go, with the obvious
> caveat that using it is tricky: one needs to know about fontconfig’s
> config file format and about sxml.
>
> Maybe we can go with v2 for now (it provides a useful “escape hatch”)
> but prepare for more conventional configuration bindings?

By conventional configuration binding, do you mean adding something like
home-fontconfig-configuration to provide a dedicated  fontconfig
configuration?

I have been reading the DTD and think it might be a bit of a challenge.
https://github.com/freedesktop/fontconfig/blob/e291fda7d42e5d64379555097a066d9c2c4efce3/fonts.dtd

However, I did notice one thing, and that is that there is an include
element.
I thought that if we had a configuration where the include element could
be added, we could handle most of the use cases.
What do you think of this idea?

Thanks,
-- 
Taiju